#ifndef LCD_DRIVE_H
#define LCD_DRIVE_H

//ͷļ
#include "stm32f10x.h"
#include "hardware.h"
/* LCD color */
#define White          0xFFFF
#define Black          0x0000
#define Grey           0xF7DE
#define Blue           0x001F
#define Blue2          0x051F
#define Red            0xF800
#define Magenta        0xF81F
#define Green          0x07E0
#define Cyan           0x7FFF
#define Yellow         0xFFE0
#define  LCD_ID_AM  DsipV_ENABLE //ʾʽ	ı˲Ϳлʾ
							  	 //AM=0
							     //LCD_ID_AM=000ˮƽ,ˮƽʹֱַݼ
							     //LCD_ID_AM=010ˮƽ,ˮƽֱַݼ
							  	 //LCD_ID_AM=100ˮƽ,ˮƽݼֱַ
							  	 //LCD_ID_AM=110ˮƽ,ˮƽʹֱַ
							  	 //AM=1
							  	 //LCD_ID_AM=001ֱ,ˮƽʹֱַݼ
							  	 //LCD_ID_AM=011ֱ,ˮƽֱַݼ
							  	 //LCD_ID_AM=101ֱ,ˮƽݼֱַ
							  	 //LCD_ID_AM=111ֱ,ˮƽʹֱַ
							  	 //LCD_ID_AM=110: ʾ  LCD_ID_AM = 001ʾ

#define  DsipH_ENABLE  001 	  	 //ʾ
#define	 DsipV_ENABLE  110	  	 //ʾ

#if    LCD_ID_AM == DsipH_ENABLE
	#define LCD_H_MAX	800		 //ˮƽС
	#define LCD_V_MAX	480		 //ĴֱС

#elif  LCD_ID_AM == DsipV_ENABLE

	#define LCD_H_MAX	800			//ˮƽС
	#define LCD_V_MAX	480			//ĴֱС
#endif

extern uint16_t TextColor , BlackColor;
void LCD_Init(void);
void LCD_Clear(uint16_t Color);
void LCD_WriteCOM(uint16_t RGB_Code);
void LCD_WriteRAM_Prepare(void); 
void LCD_WriteRAM(uint16_t RGB_Code);
void LCD_SetCursor(uint16_t x,uint16_t y);
void LCD_WriteReg(uint16_t LCD_Reg,uint16_t LCD_RegValue);
void LCD_DisplyBMP(uint8_t Xpos, uint16_t Ypos, uint8_t Height, uint16_t Width, uint8_t *bitmap);
void LCD_SetDisplayWindow(uint8_t Xpos, uint16_t Ypos, uint16_t Height, uint16_t Width);
u16 GUI_Color565(u32 RGB);
uint16_t LCD_BGR2RGB(uint16_t Color);
void Disp_LCDLine(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);
void Disp_LCDPoint(uint16_t x,uint16_t y);
void Disp_LCDCircle(uint16_t x0,uint16_t y0,uint16_t r);
uint32_t Num_power(uint16_t m,uint16_t n);
void TFT_ShowChar(unsigned int x,unsigned int y,unsigned int num,unsigned int size,unsigned int mode);
void TFT_ShowString(unsigned int x,unsigned int y,const unsigned char *p);
void TFT_ShowNum(unsigned int x,unsigned int y,unsigned int num,unsigned int size,unsigned int mode);
#endif 

